<?php

declare(strict_types=1);

namespace Dedi\SyliusContactPlugin\Entity;

use DateTime;
use Sylius\Component\Resource\Model\ResourceInterface;

interface ContactFormMessageInterface extends ResourceInterface
{
    public function getId(): ?int;

    public function getSubject(): ContactFormSubjectInterface;

    public function getName(): ?string;

    public function getPhone(): ?string;

    public function getMessage(): ?string;

    public function getIp(): ?string;

    public function getCreatedAt(): DateTime;

    public function getUpdatedAt(): DateTime;

    public function getEmail(): ?string;
}
